Public Support - Support Request #7168

EBPRODUCTSUPPORT-3696 adtf file_library (v0.4.1 and below) corrupted files

2019-05-13 11:15 - hidden

Status: Closed

Priority: Normal

Category:

Customer: ELEKTROBIT Product Issue https://www.cip.audi.de/jira/browse/CDIF
Numbers: HD-62

Department: SUPPORT Affected Products: ADTF File Library 0.4.1 (BETA)

Requester's Priority: Normal Platform: Windows 7 64bit

Support Level: 2nd Level Topic: FileLibrary::Reader

Resolution: Product Issue Opened FAQ Links:

Description

Support Anfrage:

Hallo,

wir haben noch ein Problem mit der ADTF File library 0.4.1 und auch abwarts.

Bei der Erzeugung des adif_file::Reader mit einer beschadigten Datei stlrzt die ADTF File library einfach ab. Es gibt kein

Exceptionmechanismus um den Fehler zu behandeln.

Das kann man einfach mit dem fileaccess example Programm reproduzieren.

In dem angehéngten zip file findet ihr ein Beispielprogramm und das File:

src/libraries/ifhd_file/src/indexreadtable_v201_v301.cpp

Zeile 126: extension_info declaration als nullptr

Z. 137 und 146: findExtension kann extension_info nicht setzen => immer noch nullptr

Z. 149: extension_info->data_size Absturz eindeutig
Kénnt ihr euch das auch mal anschauen?

Best regards,

Anja Winkler

EB Assist ADTF Support-Team

Lésung:

Produktticket CDIFHD-62 wurde erstellt.

History

#1 - 2019-05-13 15:31 - hidden

- Project changed from Public Support to 7

- Topic set to FileLibrary::Reader

- Customer set to ELEKTROBIT

- Department set to SUPPORT

- Affected Products ADTF File Library 0.4.1 (BETA) added

#2 - 2019-05-14 14:57 - hidden

- Status changed from New to In Progress

#3 - 2019-05-14 15:52 - hidden
- Status changed from In Progress to Customer Feedback Required

- Resolution set to Product Issue Opened
https://www.cip.audi.de/jira/browse/CDIFHD-62

- Product Issue Numbers set to https://www.cip.audi.de/jira/browse/CDIFHD-62

Wir haben das Produkt-Ticket CDIFHD-62 erstellt.

Wie bereits tel. besprochen:

Der Source Code der ADTF File Library ist offen und liegt vor/ist enthalten.

Ihr kénnt also gerne versuchen ob Ihr das Problem schon auf eurer Seite I6sen kdnnt.

#4 - 2019-05-21 10:58 - hidden

Hallo zusammen,

kénnen wir dieses Support Ticket schlieBen?
Produktticket ist erstellt und verlinkt.
https://www.cip.audi.de/jira/browse/CDIFHD-62

Folgetickets (durch gefundene weitere Punkte) sind erstellt.

#5 - 2019-05-24 09:30 - hidden
Hallo Matthias,

ja kénnt ihr.

Best regards,
Anja Winkler
EB Assist ADTF Support-Team

#6 - 2019-05-24 10:14 - hidden
- Description updated
- Status changed from Customer Feedback Required to To Be Closed

- Platform Windows 7 64bit added

#7 - 2019-07-19 08:18 - hidden
- Project changed from 7 to Public Support
- Status changed from To Be Closed to Closed

- Private changed from Yes to No

Files

corrupted.7z 10.7 MB 2019-05-13
